Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl
Class HibernateDaoImpl

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.orm.hibernate3.support.HibernateDaoSupport
              com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl

All Implemented Interfaces:
  org.springframework.beans.factory.InitializingBean

Direct Known Subclasses:
  HibernateReportJobsPersistenceService, HibernateRepositoryCache, HibernateRepositoryServiceImpl, ObjectPermissionServiceImpl, ProfileAttributeServiceImpl, UserAuthorityServiceImpl

    public class HibernateDaoImpl

extends org.springframework.orm.hibernate3.support.HibernateDaoSupport

Version:
  $Id: HibernateDaoImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  swood

Nested Class Summary
`protected static interface` | `HibernateDaoImpl.DaoCallback`

Field Summary

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`HibernateDaoImpl()`

Method Summary
`protected void` | `endOperation()`
`protected java.lang.Object` | `executeCallback(HibernateDaoImpl.DaoCallback callback)`
`protected java.lang.Object` | `executeWriteCallback(HibernateDaoImpl.DaoCallback callback)`
`protected java.lang.Object` | `executeWriteCallback(HibernateDaoImpl.DaoCallback callback, boolean flush)`
`protected java.util.Date` | `getOperationTimestamp()`
`protected void` | `startOperation()`

Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport
`checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateDaoImpl

    public HibernateDaoImpl()

Method Detail

### executeCallback

    protected final java.lang.Object executeCallback(HibernateDaoImpl.DaoCallback callback)

### executeWriteCallback

    protected final java.lang.Object executeWriteCallback(HibernateDaoImpl.DaoCallback callback)

### executeWriteCallback

    protected final java.lang.Object executeWriteCallback(HibernateDaoImpl.DaoCallback callback,
                                                          boolean flush)

### startOperation

    protected void startOperation()

### getOperationTimestamp

    protected java.util.Date getOperationTimestamp()

### endOperation

    protected void endOperation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.